Bug 285951 - amarok crashes on exit with Qt 4.8 [@ CollectionManager::~CollectionManager]
Summary: amarok crashes on exit with Qt 4.8 [@ CollectionManager::~CollectionManager]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.5.0
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords: release_blocker
: 289109 290283 294709 295495 295711 295853 297164 297555 298222 298331 298760 299058 299745 300194 300384 301012 302113 302141 302467 302727 303078 303100 303102 303333 303372 303999 304007 304474 304719 304818 304925 305205 305260 305799 306089 306730 307008 307030 307081 307714 308077 308312 308752 309501 310233 311082 311128 311591 312254 312632 312718 314620 315285 315667 316271 316321 316512 316849 317029 317276 331142 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-11-07 00:26 UTC by Bernd Buschinski
Modified: 2014-02-15 09:12 UTC (History)
69 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments
New crash information added by DrKonqi (14.86 KB, text/plain)
2012-04-30 16:05 UTC, Kevin LeBlanc
Details
New crash information added by DrKonqi (41.86 KB, text/plain)
2012-05-10 22:25 UTC, papikukac
Details
New crash information added by DrKonqi (18.35 KB, text/plain)
2012-05-19 09:09 UTC, Ab3L
Details
New crash information added by DrKonqi (17.08 KB, text/plain)
2012-05-20 14:34 UTC, Alfeno Rodrigues
Details
New crash information added by DrKonqi (14.22 KB, text/plain)
2012-06-01 17:50 UTC, Luis Alberto Arriola
Details
New crash information added by DrKonqi (15.34 KB, text/plain)
2012-06-07 05:27 UTC, frederic.schlee
Details
New crash information added by DrKonqi (25.47 KB, text/plain)
2012-07-02 16:45 UTC, Hamird
Details
New crash information added by DrKonqi (16.00 KB, text/plain)
2012-07-23 03:18 UTC, Diego Molina
Details
New crash information added by DrKonqi (9.76 KB, text/plain)
2012-08-16 14:09 UTC, jarlgjessing
Details
New crash information added by DrKonqi (12.13 KB, text/plain)
2012-08-28 14:44 UTC, Vit Pelcak
Details
New crash information added by DrKonqi (30.28 KB, text/plain)
2012-09-04 12:05 UTC, LK
Details
New crash information added by DrKonqi (31.70 KB, text/plain)
2012-10-21 20:23 UTC, shake826
Details
New crash information added by DrKonqi (21.83 KB, text/plain)
2012-12-09 23:41 UTC, Charles T Bell
Details
New crash information added by DrKonqi (23.00 KB, text/plain)
2012-12-15 23:02 UTC, Charles T Bell
Details
New crash information added by DrKonqi (15.92 KB, text/plain)
2013-01-03 16:52 UTC, Alberto Temich
Details
New crash information added by DrKonqi (29.20 KB, text/plain)
2013-02-18 04:56 UTC, ubervento
Details
New crash information added by DrKonqi (19.25 KB, text/plain)
2013-07-21 01:15 UTC, matt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Buschinski 2011-11-07 00:26:53 UTC
Version:           2.5-git (using KDE 4.7.3) 
OS:                Linux

Amarok crashes with Qt 4.8(rc1) on exit.
This only happens with Qt 4.8, but with git master and 2.4.3.

At I first thought it was a Qt regression so I didn't report it, but after some research I found:

https://bugreports.qt.nokia.com/browse/QTBUG-22037?focusedCommentId=166816&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-166816

"this change is known to reveal bugs in the usage of qlist; several places in qt itself had to be fixed as well."

Reproducible: Always

Steps to Reproduce:
- start amarok with Qt 4.8
- close it

Actual Results:  
crash

Expected Results:  
it should not crash

Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f00c1fb97a0 (LWP 8436))]

Thread 13 (Thread 0x7f009beef700 (LWP 8438)):
#0  __pthread_getspecific (key=<optimized out>) at pthread_getspecific.c:67
#1  0x00007f00b7e036bd in g_thread_self () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f00b7ddbc32 in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f00b7ddd2d1 in g_main_context_iterate.isra.21 () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f00b7ddd93b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f00bf0d982e in QEventDispatcherGlib::processEvents (this=0x254aa30, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f00bf0a5b12 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f00bf0a5d7f in QEventLoop::exec (this=0x7f009beeece0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f00bef9a690 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007f00bf083893 in QInotifyFileSystemWatcherEngine::run (this=0x26da520) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f00bef9d50d in QThreadPrivate::start (arg=0x26da520) at thread/qthread_unix.cpp:298
#11 0x00007f00ab8962aa in ?? () from /usr/lib64/libGL.so.1
#12 0x00007f00bc89cf9c in start_thread (arg=0x7f009beef700) at pthread_create.c:301
#13 0x00007f00be73e2ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 12 (Thread 0x7f009aeb7700 (LWP 8439)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00bef9da9b in wait (time=18446744073709551615, this=0x271f8c0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x27914c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f00bbc21bbc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x27e8390, th=0x279a1d0) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f00bbc2466b in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b2650, th=0x279a1d0) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f00bbc24684 in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b2650, th=0x279a1d0) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f00bbc24684 in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b2650, th=0x279a1d0) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f00bbc24684 in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b2650, th=0x279a1d0) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f00bbc23327 in ThreadWeaver::ThreadRunHelper::run (this=0x7f009aeb6d40, parent=0x27e8390, th=0x279a1d0) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/Thread.cpp:87
#9  0x00007f00bbc233bb in ThreadWeaver::Thread::run (this=0x279a1d0) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/Thread.cpp:142
#10 0x00007f00bef9d50d in QThreadPrivate::start (arg=0x279a1d0) at thread/qthread_unix.cpp:298
#11 0x00007f00ab8962aa in ?? () from /usr/lib64/libGL.so.1
#12 0x00007f00bc89cf9c in start_thread (arg=0x7f009aeb7700) at pthread_create.c:301
#13 0x00007f00be73e2ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7f0099dd7700 (LWP 8441)):
#0  0x00007f00be735773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f00b7ddd4b8 in g_main_context_iterate.isra.21 () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f00b7ddd93b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f00bf0d982e in QEventDispatcherGlib::processEvents (this=0x27b8140, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f00bf0a5b12 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f00bf0a5d7f in QEventLoop::exec (this=0x7f0099dd6d20, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f00bef9a690 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f00bef9d50d in QThreadPrivate::start (arg=0x27354f0) at thread/qthread_unix.cpp:298
#8  0x00007f00ab8962aa in ?? () from /usr/lib64/libGL.so.1
#9  0x00007f00bc89cf9c in start_thread (arg=0x7f0099dd7700) at pthread_create.c:301
#10 0x00007f00be73e2ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7f009a5d8700 (LWP 8443)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00bef9da9b in wait (time=18446744073709551615, this=0x271f8c0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x27914c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f00bbc21bbc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x27e8390, th=0x7f00973df010) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f00bbc2466b in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b2650, th=0x7f00973df010) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f00bbc24684 in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b2650, th=0x7f00973df010) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f00bbc24684 in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b2650, th=0x7f00973df010) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f00bbc23327 in ThreadWeaver::ThreadRunHelper::run (this=0x7f009a5d7d40, parent=0x27e8390, th=0x7f00973df010) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f00bbc233bb in ThreadWeaver::Thread::run (this=0x7f00973df010) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f00bef9d50d in QThreadPrivate::start (arg=0x7f00973df010) at thread/qthread_unix.cpp:298
#10 0x00007f00ab8962aa in ?? () from /usr/lib64/libGL.so.1
#11 0x00007f00bc89cf9c in start_thread (arg=0x7f009a5d8700) at pthread_create.c:301
#12 0x00007f00be73e2ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7f00995d6700 (LWP 8444)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00bef9da9b in wait (time=18446744073709551615, this=0x271f8c0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x27914c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f00bbc21bbc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x27e8390, th=0x2ba4550) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f00bbc2466b in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b2650, th=0x2ba4550) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f00bbc23327 in ThreadWeaver::ThreadRunHelper::run (this=0x7f00995d5d40, parent=0x27e8390, th=0x2ba4550) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f00bbc233bb in ThreadWeaver::Thread::run (this=0x2ba4550) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f00bef9d50d in QThreadPrivate::start (arg=0x2ba4550) at thread/qthread_unix.cpp:298
#8  0x00007f00ab8962aa in ?? () from /usr/lib64/libGL.so.1
#9  0x00007f00bc89cf9c in start_thread (arg=0x7f00995d6700) at pthread_create.c:301
#10 0x00007f00be73e2ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7f00935f2700 (LWP 8447)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00bef9da9b in wait (time=18446744073709551615, this=0x271f8c0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x27914c0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f00bbc21bbc in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x27e8390, th=0x289e470) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f00bbc2466b in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b2650, th=0x289e470) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f00bbc24684 in ThreadWeaver::WorkingHardState::applyForWork (this=0x27b2650, th=0x289e470) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f00bbc23327 in ThreadWeaver::ThreadRunHelper::run (this=0x7f00935f1d40, parent=0x27e8390, th=0x289e470) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f00bbc233bb in ThreadWeaver::Thread::run (this=0x289e470) at /var/tmp/portage/kde-base/kdelibs-4.7.3/work/kdelibs-4.7.3/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f00bef9d50d in QThreadPrivate::start (arg=0x289e470) at thread/qthread_unix.cpp:298
#9  0x00007f00ab8962aa in ?? () from /usr/lib64/libGL.so.1
#10 0x00007f00bc89cf9c in start_thread (arg=0x7f00935f2700) at pthread_create.c:301
#11 0x00007f00be73e2ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7f0090c2d700 (LWP 8481)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00ac8e773f in gst_task_func (task=0x7f0095369050) at gsttask.c:303
#2  0x00007f00b7e04970 in g_thread_pool_thread_proxy () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f00b7e026f1 in g_thread_create_proxy () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f00ab8962aa in ?? () from /usr/lib64/libGL.so.1
#5  0x00007f00bc89cf9c in start_thread (arg=0x7f0090c2d700) at pthread_create.c:301
#6  0x00007f00be73e2ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7f0086d70700 (LWP 8482)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00ac8e773f in gst_task_func (task=0x3366120) at gsttask.c:303
#2  0x00007f00b7e04970 in g_thread_pool_thread_proxy () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f00b7e026f1 in g_thread_create_proxy () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f00ab8962aa in ?? () from /usr/lib64/libGL.so.1
#5  0x00007f00bc89cf9c in start_thread (arg=0x7f0086d70700) at pthread_create.c:301
#6  0x00007f00be73e2ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7f008656f700 (LWP 8483)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00ac8e773f in gst_task_func (task=0x3366c20) at gsttask.c:303
#2  0x00007f00b7e04970 in g_thread_pool_thread_proxy () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f00b7e026f1 in g_thread_create_proxy () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f00ab8962aa in ?? () from /usr/lib64/libGL.so.1
#5  0x00007f00bc89cf9c in start_thread (arg=0x7f008656f700) at pthread_create.c:301
#6  0x00007f00be73e2ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7f0085d6e700 (LWP 8484)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00ac8e773f in gst_task_func (task=0x3366d20) at gsttask.c:303
#2  0x00007f00b7e04970 in g_thread_pool_thread_proxy () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f00b7e026f1 in g_thread_create_proxy () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f00ab8962aa in ?? () from /usr/lib64/libGL.so.1
#5  0x00007f00bc89cf9c in start_thread (arg=0x7f0085d6e700) at pthread_create.c:301
#6  0x00007f00be73e2ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7f008556d700 (LWP 8485)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f00ac8e773f in gst_task_func (task=0x3366e20) at gsttask.c:303
#2  0x00007f00b7e04970 in g_thread_pool_thread_proxy () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f00b7e026f1 in g_thread_create_proxy () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f00ab8962aa in ?? () from /usr/lib64/libGL.so.1
#5  0x00007f00bc89cf9c in start_thread (arg=0x7f008556d700) at pthread_create.c:301
#6  0x00007f00be73e2ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f0084d6c700 (LWP 8489)):
#0  0x00007f00be735773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f00a0d7abd7 in snd1_pcm_wait_nocheck (pcm=0x33159b0, timeout=40) at pcm.c:2367
#2  0x00007f009fb660ca in gst_alsasink_write (asink=0x2534770, data=<optimized out>, length=4096) at gstalsasink.c:865
#3  0x00007f009f94f409 in audioringbuffer_thread_func (buf=0x231a020) at gstaudiosink.c:244
#4  0x00007f00b7e026f1 in g_thread_create_proxy () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f00ab8962aa in ?? () from /usr/lib64/libGL.so.1
#6  0x00007f00bc89cf9c in start_thread (arg=0x7f0084d6c700) at pthread_create.c:301
#7  0x00007f00be73e2ad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f00c1fb97a0 (LWP 8436)):
[KCrash Handler]
#6  0x00000000026bfbfa in ?? ()
#7  0x00007f00c0e2b08e in qDeleteAll<QList<Collections::CollectionFactory*>::const_iterator> (end=<optimized out>, begin=<optimized out>) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<SmartPointerList<Collections::CollectionFactory> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  CollectionManager::~CollectionManager (this=0x1f49760, __in_chrg=<optimized out>) at /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/core-impl/collections/support/CollectionManager.cpp:138
#10 0x00007f00c0e2b209 in CollectionManager::~CollectionManager (this=0x1f49760, __in_chrg=<optimized out>) at /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/core-impl/collections/support/CollectionManager.cpp:140
#11 0x00007f00c0e29456 in CollectionManager::destroy () at /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/core-impl/collections/support/CollectionManager.cpp:107
#12 0x00007f00c0f6122f in App::~App (this=0x7fff80febd70, __in_chrg=<optimized out>) at /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/App.cpp:248
#13 0x0000000000409878 in main (argc=1, argv=0x7fff80fee438) at /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/main.cpp:294
Comment 1 Bernd Buschinski 2011-11-07 00:30:29 UTC
similar Bug in Plasma
https://bugs.kde.org/show_bug.cgi?id=284989
Comment 3 Bernd Buschinski 2011-11-15 18:28:58 UTC
As you already released 2.4.90, I vote for marking this Bug as BlockerBug.
Qt 4.8 is coming, believe it or not. And if you don't want a quadrillion Duplicates of this Bug... fix it :)
Or at least look at
https://bugs.kde.org/show_bug.cgi?id=284989 Comment #11 and use this workaround.
Comment 4 Myriam Schweingruber 2011-11-15 21:58:32 UTC
Indeed, this needs to be fixed, even if Amarok currently depends on Qt 4.6
Comment 5 Bart Cerneels 2011-11-22 08:39:37 UTC
Similar problem in plasma-desktop fixed: http://git.reviewboard.kde.org/r/103202/
Comment 6 Ralf Engels 2011-12-04 22:06:27 UTC
Git commit b9c9cf69becf9578bb4928d289f24f4d8250cafd by Ralf Engels.
Committed on 04/12/2011 at 18:38.
Pushed by rengels into branch 'master'.

Fix crash at exit with Qt 4.8

BUG: 285951
FIXED-IN: 2.5

M  +1    -0    ChangeLog
M  +6    -1    src/core-impl/collections/support/CollectionManager.cpp

http://commits.kde.org/amarok/b9c9cf69becf9578bb4928d289f24f4d8250cafd
Comment 7 Myriam Schweingruber 2011-12-17 16:34:45 UTC
*** Bug 289109 has been marked as a duplicate of this bug. ***
Comment 8 Myriam Schweingruber 2012-01-01 14:19:18 UTC
*** Bug 290283 has been marked as a duplicate of this bug. ***
Comment 9 Myriam Schweingruber 2012-01-01 14:20:11 UTC
Unfortunately this is not fixed in Amarok final.
Comment 10 Matěj Laitl 2012-02-04 00:43:17 UTC
Git commit 0292de05bf5ae2cf161fc8cdaecf4effab4fc34b by Matěj Laitl.
Committed on 04/02/2012 at 01:34.
Pushed by laitl into branch 'master'.

Extend fix of bug 285951 to the other crash site

This should definitely fix the Amarok crashes during exit bug.
FIXED-IN: 2.6
DIGEST: fix crash bug

M  +4    -4    src/core-impl/collections/support/CollectionManager.cpp

http://commits.kde.org/amarok/0292de05bf5ae2cf161fc8cdaecf4effab4fc34b
Comment 11 Matěj Laitl 2012-02-05 23:18:49 UTC
Git commit 88f7be636917cdf060b0b6de62a5701161727185 by Matěj Laitl.
Committed on 06/02/2012 at 00:15.
Pushed by laitl into branch 'master'.

Fix another crash on exit with Qt 4.8 wrt qDeleteAll()

M  +3    -1    src/context/applets/videoclip/VideoclipApplet.cpp

http://commits.kde.org/amarok/88f7be636917cdf060b0b6de62a5701161727185
Comment 12 Myriam Schweingruber 2012-02-23 21:10:59 UTC
*** Bug 294709 has been marked as a duplicate of this bug. ***
Comment 13 Myriam Schweingruber 2012-03-10 21:41:20 UTC
*** Bug 295711 has been marked as a duplicate of this bug. ***
Comment 14 Myriam Schweingruber 2012-03-13 09:07:43 UTC
*** Bug 295853 has been marked as a duplicate of this bug. ***
Comment 15 Myriam Schweingruber 2012-04-01 22:15:17 UTC
*** Bug 297164 has been marked as a duplicate of this bug. ***
Comment 16 Myriam Schweingruber 2012-04-06 09:29:26 UTC
*** Bug 297555 has been marked as a duplicate of this bug. ***
Comment 17 Myriam Schweingruber 2012-04-17 16:26:07 UTC
*** Bug 298222 has been marked as a duplicate of this bug. ***
Comment 18 Myriam Schweingruber 2012-04-18 12:21:09 UTC
*** Bug 298331 has been marked as a duplicate of this bug. ***
Comment 19 Myriam Schweingruber 2012-04-24 21:56:29 UTC
*** Bug 298760 has been marked as a duplicate of this bug. ***
Comment 20 Russ Fineman 2012-04-26 00:31:48 UTC
Ref: crash reposted in bug 290283 and marked dup of this bug. I just updated my openSUSE 12.1, KDE Version KDE 4.8.2 release 491 to release 494. This bug still occurs. Is it supposed to be relsoved in this version?
Comment 21 Myriam Schweingruber 2012-04-26 00:41:38 UTC
No, as it is fixed in the development branch, 2.6 is not released yet.
Comment 22 Myriam Schweingruber 2012-04-30 00:16:29 UTC
*** Bug 299058 has been marked as a duplicate of this bug. ***
Comment 23 Kevin LeBlanc 2012-04-30 16:05:48 UTC
Created attachment 70775 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:

All I did was close Amarok, but it shows up as having crashed.  I don't suppose it's THAT big of a deal, but it does get annoying very quickly.

-- Backtrace (Reduced):
#8  0xb6dc504e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#9  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#10 CollectionManager::~CollectionManager (this=0xa585d18, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#11 0xb6dc5292 in CollectionManager::~CollectionManager (this=0xa585d18, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#12 0xb6dc329a in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 24 Myriam Schweingruber 2012-05-07 12:24:26 UTC
*** Bug 295495 has been marked as a duplicate of this bug. ***
Comment 25 Myriam Schweingruber 2012-05-10 16:04:07 UTC
*** Bug 299745 has been marked as a duplicate of this bug. ***
Comment 26 papikukac 2012-05-10 22:25:46 UTC
Created attachment 71011 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:Right click....taskbar..and after that the crash appeared, when I tried to exit Amarok.

-- Backtrace (Reduced):
#7  0x00007fe87b65f02e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  CollectionManager::~CollectionManager (this=0x18c8670, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#10 0x00007fe87b65f209 in CollectionManager::~CollectionManager (this=0x18c8670, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#11 0x00007fe87b65d4b6 in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 27 Myriam Schweingruber 2012-05-17 15:28:43 UTC
*** Bug 300194 has been marked as a duplicate of this bug. ***
Comment 28 Ab3L 2012-05-19 09:09:06 UTC
Created attachment 71213 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:

I closed amarok 2.5.0 through menu File->Exit in kubuntu 12.04 with kde 4.8.2.

-- Backtrace (Reduced):
#8  0xb6d8104e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#9  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#10 CollectionManager::~CollectionManager (this=0x8939768, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#11 0xb6d81292 in CollectionManager::~CollectionManager (this=0x8939768, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#12 0xb6d7f29a in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 29 Alfeno Rodrigues 2012-05-20 14:34:18 UTC
Created attachment 71246 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

- What I was doing when the application crashed:

1) Open Amarok 2.50

2) Closed it

- Unusual behavior I noticed:

1) Amarok crashed after closed it

- Custom settings of the application:

1) default setings

-- Backtrace (Reduced):
#7  0x00007ff7db20102e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  CollectionManager::~CollectionManager (this=0x268ef20, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#10 0x00007ff7db201209 in CollectionManager::~CollectionManager (this=0x268ef20, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#11 0x00007ff7db1ff4b6 in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 30 Myriam Schweingruber 2012-05-20 21:13:07 UTC
Please check the bug you are commenting on: this is fixed in the upcoming Amarok 2.6, no need to report it for a previous version.
Comment 31 Matěj Laitl 2012-05-22 22:58:18 UTC
*** Bug 300384 has been marked as a duplicate of this bug. ***
Comment 32 Luis Alberto Arriola 2012-06-01 17:50:57 UTC
Created attachment 71500 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

- What I was doing when the application crashed:

Amarok chrashes when click on Exit, or Ctrl-Q, lpaying or not playing, next time it is started, there is system error related to files in library...

-- Backtrace (Reduced):
#8  0xb6d6904e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#9  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#10 CollectionManager::~CollectionManager (this=0x99685a0, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#11 0xb6d69292 in CollectionManager::~CollectionManager (this=0x99685a0, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#12 0xb6d6729a in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 33 Myriam Schweingruber 2012-06-03 11:57:30 UTC
*** Bug 301012 has been marked as a duplicate of this bug. ***
Comment 34 frederic.schlee 2012-06-07 05:27:22 UTC
Created attachment 71631 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

- What I was doing when the application crashed:
Every time i quit amarok (with ctrl+Q), amarok crashes

-- Backtrace (Reduced):
#7  0x00007f67c183302e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  CollectionManager::~CollectionManager (this=0x7c7400, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#10 0x00007f67c1833209 in CollectionManager::~CollectionManager (this=0x7c7400, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#11 0x00007f67c18314b6 in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 35 Myriam Schweingruber 2012-06-18 14:51:55 UTC
*** Bug 302113 has been marked as a duplicate of this bug. ***
Comment 36 Myriam Schweingruber 2012-06-18 20:15:11 UTC
*** Bug 302141 has been marked as a duplicate of this bug. ***
Comment 37 Myriam Schweingruber 2012-06-25 08:40:23 UTC
*** Bug 302467 has been marked as a duplicate of this bug. ***
Comment 38 Myriam Schweingruber 2012-06-29 08:37:31 UTC
*** Bug 302727 has been marked as a duplicate of this bug. ***
Comment 39 Hamird 2012-07-02 16:45:54 UTC
Created attachment 72285 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

It carshes when I close Amarok!

-- Backtrace (Reduced):
#7  0x00007f1efc0ad02e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  CollectionManager::~CollectionManager (this=0x243a760, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#10 0x00007f1efc0ad209 in CollectionManager::~CollectionManager (this=0x243a760, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#11 0x00007f1efc0ab4b6 in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 40 Jekyll Wu 2012-07-05 19:38:54 UTC
*** Bug 303078 has been marked as a duplicate of this bug. ***
Comment 41 Jekyll Wu 2012-07-06 11:46:01 UTC
*** Bug 303102 has been marked as a duplicate of this bug. ***
Comment 42 Myriam Schweingruber 2012-07-09 08:08:08 UTC
*** Bug 303100 has been marked as a duplicate of this bug. ***
Comment 43 Jekyll Wu 2012-07-11 15:25:58 UTC
*** Bug 303372 has been marked as a duplicate of this bug. ***
Comment 44 Myriam Schweingruber 2012-07-11 18:22:03 UTC
*** Bug 303333 has been marked as a duplicate of this bug. ***
Comment 45 Diego Molina 2012-07-23 03:18:26 UTC
Created attachment 72692 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.1

- What I was doing when the application crashed:
Simple, click oon exit and the program crash

-- Backtrace (Reduced):
#7  0x00007f286af3002e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  CollectionManager::~CollectionManager (this=0x2dcafb0, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#10 0x00007f286af30209 in CollectionManager::~CollectionManager (this=0x2dcafb0, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#11 0x00007f286af2e4b6 in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 46 Jekyll Wu 2012-07-24 11:15:13 UTC
*** Bug 303999 has been marked as a duplicate of this bug. ***
Comment 47 Jekyll Wu 2012-07-24 23:37:17 UTC
*** Bug 304007 has been marked as a duplicate of this bug. ***
Comment 48 Jekyll Wu 2012-08-03 15:17:14 UTC
*** Bug 304474 has been marked as a duplicate of this bug. ***
Comment 49 Myriam Schweingruber 2012-08-08 20:27:17 UTC
*** Bug 304719 has been marked as a duplicate of this bug. ***
Comment 50 Myriam Schweingruber 2012-08-08 21:04:09 UTC
*** Bug 304818 has been marked as a duplicate of this bug. ***
Comment 51 Myriam Schweingruber 2012-08-10 17:48:53 UTC
*** Bug 304925 has been marked as a duplicate of this bug. ***
Comment 52 Jekyll Wu 2012-08-15 15:55:19 UTC
*** Bug 305205 has been marked as a duplicate of this bug. ***
Comment 53 Jekyll Wu 2012-08-16 13:42:42 UTC
*** Bug 305260 has been marked as a duplicate of this bug. ***
Comment 54 jarlgjessing 2012-08-16 14:09:47 UTC
Created attachment 73235 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.9.00 "release 558" using Qt 4.8.2

I rightcklicked the systray icon and chose close

-- Backtrace (Reduced):
#5  0x00007fe15da1f364 in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/QtCore/qalgorithms.h:322
#6  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/QtCore/qalgorithms.h:330
#7  CollectionManager::~CollectionManager (this=0x2b9b680, __in_chrg=<optimized out>) at /usr/src/debug/amarok-2.5.0/src/core-impl/collections/support/CollectionManager.cpp:137
#8  0x00007fe15da1f5e9 in CollectionManager::~CollectionManager (this=0x2b9b680, __in_chrg=<optimized out>) at /usr/src/debug/amarok-2.5.0/src/core-impl/collections/support/CollectionManager.cpp:145
#9  0x00007fe15da1d486 in CollectionManager::destroy () at /usr/src/debug/amarok-2.5.0/src/core-impl/collections/support/CollectionManager.cpp:107
Comment 55 Jekyll Wu 2012-08-26 04:57:08 UTC
*** Bug 305799 has been marked as a duplicate of this bug. ***
Comment 56 Vit Pelcak 2012-08-28 14:44:24 UTC
Created attachment 73525 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.2

I just triggered system shutdown. Amarok crashed subsegwently with segfault.

-- Backtrace (Reduced):
#7  0x00007f1a4d6fe38e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=<optimized out>, begin=<optimized out>) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  CollectionManager::~CollectionManager (this=0x2e23020, __in_chrg=<optimized out>) at /var/tmp/portage/media-sound/amarok-2.5.0-r4/work/amarok-2.5.0/src/core-impl/collections/support/CollectionManager.cpp:137
#10 0x00007f1a4d6fe569 in CollectionManager::~CollectionManager (this=0x2e23020, __in_chrg=<optimized out>) at /var/tmp/portage/media-sound/amarok-2.5.0-r4/work/amarok-2.5.0/src/core-impl/collections/support/CollectionManager.cpp:145
#11 0x00007f1a4d6fc816 in CollectionManager::destroy () at /var/tmp/portage/media-sound/amarok-2.5.0-r4/work/amarok-2.5.0/src/core-impl/collections/support/CollectionManager.cpp:107
Comment 57 Matěj Laitl 2012-08-28 14:50:13 UTC
(In reply to comment #56)
> Created attachment 73525 [details]
> New crash information added by DrKonqi
> 
> amarok (2.5.0) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.2

Ale notak, překladatel a stále používá 2.5.0?
Comment 58 Vit Pelcak 2012-08-28 16:33:21 UTC
(In reply to comment #57)
> (In reply to comment #56)
> > Created attachment 73525 [details]
> > New crash information added by DrKonqi
> > 
> > amarok (2.5.0) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.2
> 
> Ale notak, překladatel a stále používá 2.5.0?

Ano a jsem na to hrdy. :-D
V Gentoo stable novejsi neni.
Comment 59 Jekyll Wu 2012-08-31 19:07:43 UTC
*** Bug 306089 has been marked as a duplicate of this bug. ***
Comment 60 LK 2012-09-04 12:05:26 UTC
Created attachment 73644 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.1

- What I was doing when the application crashed:

Right click on icon in system tray, then quit.

-- Backtrace (Reduced):
#8  0xb6e2604e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#9  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#10 CollectionManager::~CollectionManager (this=0x9fac5b8, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#11 0xb6e26292 in CollectionManager::~CollectionManager (this=0x9fac5b8, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#12 0xb6e2429a in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 61 Myriam Schweingruber 2012-09-13 15:04:17 UTC
*** Bug 306730 has been marked as a duplicate of this bug. ***
Comment 62 Myriam Schweingruber 2012-09-19 06:39:05 UTC
*** Bug 307008 has been marked as a duplicate of this bug. ***
Comment 63 Christoph Feck 2012-09-19 10:04:15 UTC
*** Bug 307030 has been marked as a duplicate of this bug. ***
Comment 64 Matěj Laitl 2012-10-01 15:31:42 UTC
*** Bug 307081 has been marked as a duplicate of this bug. ***
Comment 65 Myriam Schweingruber 2012-10-02 19:19:53 UTC
*** Bug 307714 has been marked as a duplicate of this bug. ***
Comment 66 Myriam Schweingruber 2012-10-08 16:15:16 UTC
*** Bug 308077 has been marked as a duplicate of this bug. ***
Comment 67 Myriam Schweingruber 2012-10-13 12:51:35 UTC
*** Bug 308312 has been marked as a duplicate of this bug. ***
Comment 68 Jekyll Wu 2012-10-21 12:59:14 UTC
*** Bug 308752 has been marked as a duplicate of this bug. ***
Comment 69 shake826 2012-10-21 20:23:26 UTC
Created attachment 74706 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

- Custom settings of the application:

i recently tried to change the window manager to compiz but kde kept getting buggy with each try i made to make it work so i just gave up and left it with kwin so while i was listening to music and decided to close it to watch a movie thats when it crashed and kept crashing each time i quit amarok.. amarok opens just fine it only crashes when i quit the program.

-- Backtrace (Reduced):
#8  0xb6dea04e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#9  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#10 CollectionManager::~CollectionManager (this=0x8ee4db8, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#11 0xb6dea292 in CollectionManager::~CollectionManager (this=0x8ee4db8, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#12 0xb6de829a in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 70 Myriam Schweingruber 2012-11-04 08:54:38 UTC
*** Bug 309501 has been marked as a duplicate of this bug. ***
Comment 71 Myriam Schweingruber 2012-11-17 03:13:57 UTC
*** Bug 310233 has been marked as a duplicate of this bug. ***
Comment 72 Myriam Schweingruber 2012-12-03 15:14:17 UTC
*** Bug 311082 has been marked as a duplicate of this bug. ***
Comment 73 Myriam Schweingruber 2012-12-04 12:16:09 UTC
*** Bug 311128 has been marked as a duplicate of this bug. ***
Comment 74 Charles T Bell 2012-12-09 23:41:40 UTC
Created attachment 75761 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed: I clicked on 'quit' and it always crashes.  It also runs once for each start, then I have to 'quit' to get it to play again.

-- Backtrace (Reduced):
#7  0x00007f3352ea402e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  CollectionManager::~CollectionManager (this=0x10bc900, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#10 0x00007f3352ea4209 in CollectionManager::~CollectionManager (this=0x10bc900, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#11 0x00007f3352ea24b6 in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 75 Myriam Schweingruber 2012-12-12 22:14:29 UTC
*** Bug 311591 has been marked as a duplicate of this bug. ***
Comment 76 Charles T Bell 2012-12-15 23:02:11 UTC
Created attachment 75854 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed: I was closing Amarok after it would no longer play.

-- Backtrace (Reduced):
#7  0x00007fa47d72402e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  CollectionManager::~CollectionManager (this=0x16ae5a0, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#10 0x00007fa47d724209 in CollectionManager::~CollectionManager (this=0x16ae5a0, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#11 0x00007fa47d7224b6 in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 77 Myriam Schweingruber 2012-12-15 23:11:38 UTC
(In reply to comment #76)
> Created attachment 75854 [details]
> New crash information added by DrKonqi
> 
> amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

Charles, please, stop doing that, this is already solved in a version ahead of yours and marked as fixed. Please upgrade to Amarok 2.6
Comment 78 Charles T Bell 2012-12-17 02:42:50 UTC
Thank you for your kind words.  After I did this:
sudo apt-get install amarok
I got this:
The version you have is the latest version.
I guess I will just remove the bug reporter.
Thank you!

Charles Bell
Comment 79 Myriam Schweingruber 2012-12-17 08:25:27 UTC
(In reply to comment #78)
> Thank you for your kind words.  After I did this:
> sudo apt-get install amarok
> I got this:
> The version you have is the latest version.
> I guess I will just remove the bug reporter.

Because it is the latest version on your system, but that just means that either your distribution version doesn't ship the 2.6 version or that you need to activate additional repositories. Please take this to http://forum.kde.org/amarok where we can point you to the steps to take to get a newer version. Don't forget to specify your exact distribution version there so we can help.
Comment 80 Kelley Castleberry 2012-12-17 16:20:54 UTC
I have this same problem when trying to report various bugs.  Is there a
way that when the resolution is found that everyone who reported the
problem can be given a direct update link to verify and updated to the
current version which has been fixed?  This would simplify the process of
updating various bugs and fixes I would hope.  Maybe there is a better
solution already in place and I am not aware.  But with so many Linux
Distros out there KDE needs to come up with a 1 package solution for
everyone who chooses to use KDE.  KDE is awesome but with your help we can
make it the best platform to work with out there.

Thank you all at KDE and those who help report the various bugs that arrise
with the different KDE applications when they occur.  Please continue to
use the bug reporting system and we should work on better fix resolution
update instructions.

Kelley Castleberry
PCI Payment Gateway.com
Owner/Operator
3183 Wilshire Blvd. Ste 196-K21
Los Angeles,  CA 90010
323-639-0706 TEL
On Dec 17, 2012 12:25 AM, "Myriam Schweingruber" <myriam@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=285951
>
> --- Comment #79 from Myriam Schweingruber <myriam@kde.org> ---
> (In reply to comment #78)
> > Thank you for your kind words.  After I did this:
> > sudo apt-get install amarok
> > I got this:
> > The version you have is the latest version.
> > I guess I will just remove the bug reporter.
>
> Because it is the latest version on your system, but that just means that
> either your distribution version doesn't ship the 2.6 version or that you
> need
> to activate additional repositories. Please take this to
> http://forum.kde.org/amarok where we can point you to the steps to take
> to get
> a newer version. Don't forget to specify your exact distribution version
> there
> so we can help.
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 81 Myriam Schweingruber 2012-12-17 18:04:42 UTC
(In reply to comment #80)
> I have this same problem when trying to report various bugs.  Is there a
> way that when the resolution is found that everyone who reported the
> problem can be given a direct update link to verify and updated to the
> current version which has been fixed?  This would simplify the process of
> updating various bugs and fixes I would hope.  Maybe there is a better
> solution already in place and I am not aware.  But with so many Linux
> Distros out there KDE needs to come up with a 1 package solution for
> everyone who chooses to use KDE.  KDE is awesome but with your help we can
> make it the best platform to work with out there.

Well, it is up to the users to keep their system up-to-date, and since we only provide tarballs of the source, the packages are something you need to get from your distribution. Since not all distributions use the same packaging system it would be impossible to provide one package that fits all.

Make sure that you are subscribed to the mailing lists ans announcements of your distribution so you are notified when new packages arrive.
For example, I use Kubuntu, reading http://kubuntu.org/news/ gives me all the updates I need.
Comment 82 Charles T Bell 2012-12-17 20:32:31 UTC
I went to the Amarok download page and followed
the directions for adding backports.  That did not
do the trick, so I "sudo apt-get install phonon-backend-vlc"
Then I did "sudo apt-get install amarok"
and it loaded 2.6 just fine.
So, now I am up-to-date on Amarok.
Thank you!

Charles Bell
Comment 83 Myriam Schweingruber 2012-12-27 09:51:49 UTC
*** Bug 312254 has been marked as a duplicate of this bug. ***
Comment 84 Alberto Temich 2013-01-03 16:52:04 UTC
Created attachment 76170 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

I closed the program and I got the Bug... It doesn'r represent a major problem but still it crashes

-- Backtrace (Reduced):
#8  0xb6df104e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#9  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#10 CollectionManager::~CollectionManager (this=0xa2ab0d8, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#11 0xb6df1292 in CollectionManager::~CollectionManager (this=0xa2ab0d8, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#12 0xb6def29a in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 85 Ralf Engels 2013-01-04 10:58:18 UTC
Ugh. We are just working on 2.7 and this bug should have been fixed in 2.6.
Newer versions are better :)
Comment 86 Myriam Schweingruber 2013-01-04 22:45:01 UTC
*** Bug 312632 has been marked as a duplicate of this bug. ***
Comment 87 Myriam Schweingruber 2013-01-06 02:16:26 UTC
*** Bug 312718 has been marked as a duplicate of this bug. ***
Comment 88 Myriam Schweingruber 2013-02-07 22:30:26 UTC
*** Bug 314620 has been marked as a duplicate of this bug. ***
Comment 89 Myriam Schweingruber 2013-02-16 23:56:10 UTC
*** Bug 315285 has been marked as a duplicate of this bug. ***
Comment 90 ubervento 2013-02-18 04:56:09 UTC
Created attachment 77395 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

Closing the application from the system tray. Otherwise Amarok was working as expected.

-- Backtrace (Reduced):
#7  0x00007f57b4ef402e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#8  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#9  CollectionManager::~CollectionManager (this=0x1ad0460, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#10 0x00007f57b4ef4209 in CollectionManager::~CollectionManager (this=0x1ad0460, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#11 0x00007f57b4ef24b6 in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 91 Myriam Schweingruber 2013-02-18 15:22:06 UTC
(In reply to comment #90)
> Created attachment 77395 [details]
> New crash information added by DrKonqi
> 
> amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

Please upgrade, your Amarok version is outdated and this is fixed since quite some time (version 2.6, release in August 2012). The current Amarok version is 2.7, released in January 2013.
Comment 92 Myriam Schweingruber 2013-02-23 09:42:06 UTC
*** Bug 315667 has been marked as a duplicate of this bug. ***
Comment 93 Myriam Schweingruber 2013-03-07 07:19:45 UTC
*** Bug 316271 has been marked as a duplicate of this bug. ***
Comment 94 Myriam Schweingruber 2013-03-07 16:53:27 UTC
*** Bug 316321 has been marked as a duplicate of this bug. ***
Comment 95 Myriam Schweingruber 2013-03-11 09:56:01 UTC
*** Bug 316512 has been marked as a duplicate of this bug. ***
Comment 96 Myriam Schweingruber 2013-03-16 17:49:49 UTC
*** Bug 316849 has been marked as a duplicate of this bug. ***
Comment 97 Myriam Schweingruber 2013-03-19 17:20:10 UTC
*** Bug 317029 has been marked as a duplicate of this bug. ***
Comment 98 Myriam Schweingruber 2013-03-25 07:20:01 UTC
*** Bug 317276 has been marked as a duplicate of this bug. ***
Comment 99 matt 2013-07-21 01:15:07 UTC
Created attachment 81231 [details]
New crash information added by DrKonqi

amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed: Closing Amarok after activating all pluggins for Collection > Ipod

- Custom settings of the application:

-- Backtrace (Reduced):
#8  0xb6dd204e in qDeleteAll<QList<Collections::Collection*>::const_iterator> (end=..., begin=...) at /usr/include/qt4/QtCore/qalgorithms.h:322
#9  qDeleteAll<SmartPointerList<Collections::Collection> > (c=...) at /usr/include/qt4/QtCore/qalgorithms.h:330
#10 CollectionManager::~CollectionManager (this=0x8e65c18, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:137
#11 0xb6dd2292 in CollectionManager::~CollectionManager (this=0x8e65c18, __in_chrg=<optimized out>) at ../../src/core-impl/collections/support/CollectionManager.cpp:145
#12 0xb6dd029a in CollectionManager::destroy () at ../../src/core-impl/collections/support/CollectionManager.cpp:107
Comment 100 Myriam Schweingruber 2013-07-21 06:30:58 UTC
(In reply to comment #99)
> Created attachment 81231 [details]
> New crash information added by DrKonqi
> 
> amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

You are kidding, right? This is solved since version 2.6, current is 2.7.1, and we are about to release 2.8 :)
Comment 101 Kelley Castleberry 2013-07-21 07:09:05 UTC
Here are some helpful links
http://www.kde.org/download/

http://www.kde.org/applications/multimedia/

http://www.kde.org/applications/multimedia/amarok/

http://amarok.kde.org/

Kelley S. Castleberry
619-665-1710
https://bugs.kde.org/show_bug.cgi?id=285951

--- Comment #100 from Myriam Schweingruber <myriam@kde.org> ---
(In reply to comment #99)
> Created attachment 81231 [details]
> New crash information added by DrKonqi
>
> amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

You are kidding, right? This is solved since version 2.6, current is 2.7.1,
and
we are about to release 2.8 :)

--
You are receiving this mail because:
You are on the CC list for the bug.
Comment 102 Kelley Castleberry 2013-07-21 07:17:06 UTC
> Here are some helpful links:

> http://www.kde.org/download/
>
> http://www.kde.org/applications/multimedia/
>
> http://www.kde.org/applications/multimedia/amarok/
>
> http://amarok.kde.org/
>
> Kelley S. Castleberry
> 619-665-1710
>
> https://bugs.kde.org/show_bug.cgi?id=285951
>
> --- Comment #100 from Myriam Schweingruber <myriam@kde.org> ---
> (In reply to comment #99)
> > Created attachment 81231 [details]
> > New crash information added by DrKonqi
> >
> > amarok (2.5.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1
>
> You are kidding, right? This is solved since version 2.6, current is
2.7.1, and
> we are about to release 2.8 :)
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
Comment 103 Myriam Schweingruber 2014-02-15 09:12:32 UTC
*** Bug 331142 has been marked as a duplicate of this bug. ***